Subject: bug#29475: filesystem does not allow ln to create bad symbolic link

From: [email-masked]
Date: Mon, 27 Nov 2017 12:17:19 -0600

<not a bug, asking for advice>

I have a non root ssh account on a shared host; was unable to get the distro name.
I'm trying to untar several tar archives. Some of the sym links are bad until
all of the archives are untarred.

It's a large unknown filesystem - see df output.

The problem - ln refuses to create a bad symbolic link!

Has anyone run into this before?  My install script depends on
untarring a few bad sym links, which get resolved by later untars in
that script.  This script has worked fine for me on a dozen or so
centos, fedora, or umbuntu hosts for years.

Any comments appreciated.  Appears I have to rewrite the bash install script to untar all the
sym link target files first.  I plan to ask the host provider for help, but any
tips would be appreciated.

--
thanks,
Tom
--

$ cd /tmp
$ mktemp -d XXX
9ml
$ cd 9ml
$ ln -s not-there badlink
ln: failed to create symbolic link ‘badlink’: No such file or directory
$ df .
df: Warning: cannot read table of mounted file systems: No such file or directory
Filesystem      1K-blocks      Used  Available Use% Mounted on
-              1848231292 358987172 1395335948  21% /
$ uname -a
Linux slmp-550-137.slc.westdc.net 3.10.0-614.10.2.lve1.4.55.el7.x86_64 #1 SMP Tue Jun 20 08:59:12 EDT 2017 x86_64 x86_64 x86_64 GNU/Linux
$ ln --version
ln (GNU coreutils) 8.22
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker and David MacKenzie.